<?php

define('_IN_JOHNCMS', 1);

$headmod = 'mystat';
require_once ('../incfiles/core.php');
$textl = '' . $copyright . ' - ' . ($id ? 'С' : 'Моя с') . 'татистика активности';
require_once ('../incfiles/head.php');

if (!$user_id) {
$link='' . $home . '/login.php';
header("Location: $link");exit;}

$user = $id ? $id : $user_id;
$req_u = mysql_query("SELECT * FROM `users` WHERE `id` = '$user' LIMIT 1");
if (mysql_num_rows($req_u)) {
    $res_u = mysql_fetch_assoc($req_u);
    switch ($act) {
        case 'go' :
            // Переход к последнему посту
            $do
                = isset ($_GET['do']) ? trim($_GET['do']) : '';
            $doid = isset ($_GET['doid']) ? abs(intval($_GET['doid'])) : '';
            switch ($do) {
                    case 'f' :
                        // Переход на нужную страницу Форума
                        $set_forum = array();
                        $set_forum = unserialize($datauser['set_forum']);
                        if (empty ($set_forum))
                            $set_forum['upfp'] = 0;
                        $req = mysql_query("SELECT * FROM `forum` WHERE `id` = '$doid' AND `type` = 'm' LIMIT 1");
                        if (mysql_num_rows($req)) {
                            $res = mysql_fetch_assoc($req);
                            $page = ceil(mysql_result(mysql_query("SELECT COUNT(*) FROM `forum` WHERE `refid` = '" . $res['refid'] . "' AND `id` " . ($set_forum['upfp'] ? ">=" : "<=") . " '" . $doid . "'"), 0) / $kmess);
                            header('Location: ../forum/index.php?id=' . $res['refid'] . '&page=' . $page);
                        }
                        else {
                            header('Location: ../forum/index.php');
                        }
                        break;
                    default :
                    header('Location: ../index.php');
            }
            break;

        case 'forum' :
            echo '<p>Форум | <a href="my_stat.php?act=guest' . ($id ? '&amp;id=' . $id : '') . '">Гостевая</a></p>';
            echo '<div class="phdr"><b>Последняя активность на Форуме</b></div>';
            if ($id)
                echo '<div class="gmenu">Пользователь: <a href="anketa.php?id=' . $id . '">' . $res_u['name'] . '</a></div>';
            $req = mysql_query("SELECT `refid`, MAX(time) FROM `forum` WHERE `user_id` = '$user' AND `type` = 'm'" . ($rights >= 7 ? '' : " AND `close` != '1'") . " GROUP BY `refid` ORDER BY `time` DESC LIMIT 10");
            if (mysql_num_rows($req)) {
                while ($res = mysql_fetch_assoc($req)) {
                    $arrid = $res['MAX(time)'];
                    $arr[$arrid] = $res['refid'];
                }
                krsort($arr);
                foreach ($arr as $key => $val) {
                    $req_t = mysql_query("SELECT * FROM `forum` WHERE `id` = '" . $val . "' AND `type` = 't' LIMIT 1");
                    $res_t = mysql_fetch_assoc($req_t);
                    $req_m = mysql_query("SELECT * FROM `forum` WHERE `refid` = '" . $val . "' AND `user_id` = '$user' AND`type` = 'm' ORDER BY `id` DESC LIMIT 1");
                    $res_m = mysql_fetch_assoc($req_m);
                    echo ($i % 2) ? '<div class="list2">' : '<div class="list1">';
                    echo '<span class="gray">(' . date("d.m.Y / H:i", $res_m['time'] + $set_user['sdvig'] * 3600) . ')</span>';
                    echo ' <a href="my_stat.php?act=go&amp;do=f&amp;doid=' . $res_m['id'] . '">' . $res_t['text'] . '</a>';
                    $text = mb_substr($res_m['text'], 0, 500);
                    $text = preg_replace('#\[c\](.*?)\[/c\]#si', '', $text);
                    $text = checkout($text, 1, 1);
                    echo '<div class="sub">' . $text . '</div>';
                    echo '</div>';
                    ++$i;
                }
            }
            else {
                echo '<div class="menu"><p>Список пуст</p></div>';
            }
            echo '<div class="phdr"><a href="../forum/index.php">В Форум</a></div>';
            break;

        case 'guest' :
            echo '<p><a href="my_stat.php?act=forum' . ($id ? '&amp;id=' . $id : '') . '">Форум</a> | Гостевая</p>';
            echo '<div class="phdr"><b>Последняя активность в Гостевой</b></div>';
            if ($id)
                echo '<div class="gmenu">Пользователь: <a href="anketa.php?id=' . $id . '">' . $res_u['name'] . '</a></div>';
            $req = mysql_query("SELECT * FROM `guest` WHERE `user_id` = '$user' AND `adm` = '0' ORDER BY `id` DESC LIMIT 10");
            if (mysql_num_rows($req)) {
                while ($res = mysql_fetch_array($req)) {
                    echo ($i % 2) ? '<div class="list2">' : '<div class="list1">';
                    echo ' <span class="gray">(' . date("d.m.Y / H:i", $res['time'] + $set_user['sdvig'] * 3600) . ')</span>';
                    $text = checkout($res['text'], 1, 1);
                    echo '<div class="sub">' . $text . '</div>';
                    echo '</div>';
                    ++$i;
                }
            }
            else {
                echo '<div class="menu"><p>Список пуст</p></div>';
            }
            echo '<div class="phdr"><a href="guest.php">В Гостевую</a></div>';
            break;

        default :
            echo '<div class="phdr"><b>' . ($id ? 'С' : 'Моя с') . 'татистика активности</b></div>';
            if ($id)
                echo '<div class="gmenu">Пользователь: <a href="anketa.php?id=' . $id . '">' . $res_u['name'] . '</a></div>';
            echo '<div>';
            echo 'Сообщений в Форуме: ' . $res_u['postforum'] . '<br />';
            echo 'Сообщений в Гостевой: ' . $res_u['postguest'] . '<br />';
            echo 'Сообщений в Чате: ' . $res_u['postchat'] . '<br />';
            echo 'Ответов в Викторине: ' . $res_u['otvetov'] . '<br />';
            echo 'Игровой баланс: ' . $res_u['balans'] . '<br />';
            echo 'Комментариев: ' . $res_u['komm'] . '<br />';
            echo '</div>';
            // Если были нарушения, то показываем их
            if ($total = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_ban_users` WHERE `user_id` = '$user'"), 0))
                echo '<div class="rmenu">Нарушения: <a href="anketa.php?act=ban&amp;id=' . $user . '">' . $total . '</a></div>';
            echo '<div class="menu"><a href="my_stat.php?act=forum' . ($id ? '&amp;id=' . $id : '') . '">Последние записи</a></div>';
    }
}
else {
    echo display_error('Такого пользователя нет');
}
echo '<div><img src="' . $home . '/images/act3.gif" width="7" height="10" alt="-" /> <a href="' . $home . '/usertop.html">Топ активности</a><br /><img src="' . $home . '/images/act3.gif" width="7" height="10" alt="-" /> <a href="' . $home . '/cabinet.html">Мой кабинет</a></div>';

require_once ('../incfiles/end.php');

?>